%define debug_package %{nil}
%{!?commit:
%global commit a2f55917c36c546a5c3aa239b03bcdf89213974c
}
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           machine-config-daemon
Version:        4.2.23
Release:        202003090405.git.0.5b1109e%{?dist}
Summary:        https://github.com/openshift/machine-config-operator
License:        ASL 2.0
URL:            https://github.com/openshift/machine-config-operator
Source0: machine-config-daemon-git-0.5b1109e.tar.gz

BuildRequires:  git
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang >= 1.6.2}

%description
%{summary}

%prep
%autosetup -Sgit -n machine-config-daemon-git-0.5b1109e -p1
mkdir -p src/github.com/openshift/
ln -sr . src/github.com/openshift/machine-config-operator

%build
export GOPATH=`pwd`
cd src/github.com/openshift/machine-config-operator
env VERSION_OVERRIDE=%{version} SOURCE_GIT_COMMIT=%{commit} make daemon

%install
install -D -m 0755 _output/linux/*/%{name} $RPM_BUILD_ROOT/usr/libexec/%{name}
install -D -m 0755 cmd/machine-config-daemon/pivot.sh $RPM_BUILD_ROOT/%{_bindir}/pivot

%files
%license LICENSE
%doc README.md
%{_libexecdir}/%{name}
%{_bindir}/pivot
